package com.inspect.system.service.impl;

import com.inspect.base.core.domain.SysWarning;
import com.inspect.system.mapper.SysWarningMapper;
import com.inspect.system.service.SysWarningService;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

@Service
public class SysWarningImpl implements SysWarningService {
   @Resource
   SysWarningMapper sysWarningMapper;

   public int saveWarningLog(SysWarning sysWarning) {
      return this.sysWarningMapper.insertWarning(sysWarning);
   }

   public List<SysWarning> queryWarningList(SysWarning sysWarning) {
      return this.sysWarningMapper.queryWarningList(sysWarning);
   }
}
